.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.select__content {
  background-color: #fff;
  box-shadow: 8px 8px 24px 0 rgba(0, 0, 0, 0.15);
  margin-top: 2rem;
  padding: 1.5rem 2rem 2rem;
}

.select__title {
  font-size: clamp(0.75rem, 2vw, 1.25rem);
  font-weight: 700;
  margin-bottom: 1rem;
}

.tagBlock {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tag {
  align-items: center;
  background-color: #f3f4f4;
  border: 1px solid transparent;
  cursor: pointer;
  display: inline-flex;
  font-size: clamp(0.75rem, 1vw, 0.875rem);
  gap: 0.5rem;
  padding: 0.5rem 1rem 0.5rem 0.5rem;
  transition: all 0.3s;
  user-select: none;
}

.tagButton {
  opacity: 0;
  pointer-events: none;
  position: absolute;
}

.radio {
  align-items: center;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 50%;
  box-sizing: border-box;
  display: inline-flex;
  height: 1rem;
  justify-content: center;
  transition: all 0.2s ease;
  width: 1rem;
}

.radio::after {
  background-color: #e01d11;
  border-radius: 50%;
  content: "";
  height: 0.5rem;
  transform: scale(0);
  transition: transform 0.2s ease;
  width: 0.5rem;
}

.tag:has(.tagButton:checked) {
  background-color: #fff;
  border: 1px solid #fec9c7;
}

.tagButton:checked + .radio {
  border-color: #e01d11;
}

.tagButton:checked + .radio::after {
  transform: scale(1);
}

.tag:hover {
  background-color: #eaecec;
}

.news__inputs {
  display: grid;
  gap: 1rem;
  grid-template-columns: 1fr 9.75rem;
}

.yearSelect__select {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 0;
  color: #000;
  cursor: pointer;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
  padding: 0.5rem 0.5rem 0.5rem 1rem;
  position: relative;
  width: 100%;
}

.yearSelect {
  height: fit-content;
  max-width: 9.75rem;
  position: relative;
}

.yearSelect::before {
  background: url(../../images/common/icon-year_arrow.svg) no-repeat center / cover;
  content: "";
  height: 1rem;
  pointer-events: none;
  position: absolute;
  right: 0.6875rem;
  top: calc(50% - 1px);
  transform: translateY(-50%);
  width: 1rem;
  z-index: 1;
}

.grid__news {
  column-gap: 2rem;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  margin-top: 5rem;
  row-gap: 3.5rem;
}

.newsCard__link {
  display: block;
  height: 100%;
}

.newsCard__img {
  border: 1px solid #d9d9d9;
  overflow: hidden;
  position: relative;
  transition: 0.3s;
}

.newsCard__img img {
  aspect-ratio: 330 / 220;
  object-fit: cover;
  object-position: center;
  transition: transform 0.3s;
  width: 100%;
}

.newsCard__head {
  align-items: center;
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
}

.newsCard__time {
  color: var(--colorGray);
  font-family: var(--familyRoboto);
  font-weight: 400;
}

.newsCard__tagBlock {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.newsCard__tag {
  align-items: baseline;
  background-color: #f3f4f4;
  display: inline-flex;
  font-size: 0.875rem;
  gap: 0.5rem;
  padding: 0.2857em 0.57143em;
}

.newsCard__title {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  font-size: 1.125rem;
  font-weight: 700;
  -webkit-line-clamp: 3;
  margin-top: 0.5rem;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: 0.3s;
}

.newsCard__acf-company {
  color: var(--colorGray750);
  font-size: 0.875rem;
  font-weight: 700;
  margin-top: 0.5rem;
}

.archivePagination {
  margin-top: 5rem;
}

@media (hover: hover) {
  .newsCard:hover img {
    transform: scale(1.1);
    transform-origin: center;
  }

  .newsCard:hover .newsCard__title {
    color: var(--colorRed);
  }
}

@media screen and (max-width: 767px) {
  .select__content {
    margin-top: var(--size64);
    padding: var(--size16) var(--size16) var(--size24) var(--size16);
  }

  .select__title {
    font-size: var(--size20);
  }

  .news__inputs {
    gap: var(--size24);
    grid-template-columns: 1fr;
  }

  hr.news__inputs-line-sp {
    background-color: var(--colorGray350);
    border: none;
    height: 1px;
    margin: 0;
    width: 100%;
  }

  .grid__news {
    gap: var(--size40);
    margin-top: var(--size64);
  }

  .newsCard__head {
    gap: var(--size16);
    margin-top: var(--size16);
  }

  .newsCard__time {
    font-size: var(--size16);
  }

  .newsCard__tagBlock {
    gap: var(--size8);
  }

  .newsCard__tag {
    font-size: var(--size12);
    gap: var(--size8);
  }

  .newsCard__title {
    font-size: var(--size16);
    margin-top: var(--size8);
  }

  .newsCard__acf-company {
    font-size: var(--size12);
    margin-top: var(--size8);
  }

  .archivePagination {
    margin-top: var(--size64);
  }
}
